libSPF v1.0: peer_info_s Struct Reference

Main Page | Data Structures | File List | Data Fields | Globals | Search for

# peer_info_s Struct Reference

`#include <spf.h>`

Collaboration diagram for peer_info_s:

[legend]

## Data Fields
SPF_BOOL | ALL
SPF_RESULT | RES
SPF_RESULT | RES_P
SPF_BOOL | use_trust
SPF_BOOL | use_guess
u_int8_t | spf_ver
char * | p
char * | rs
char * | helo
char * | ehlo
char * | from
char * | explain
char * | guess
char * | trusted
char * | ptr_mhost
char * | current_domain
char * | mta_hname
char * | r_ip
char * | r_vhname
char * | cur_eaddr
char | ip_ver [SPF_MAX_IP_VER]
char | local_part [SPF_MAX_LOCAL_PART]
char | utc_time [SPF_MAX_UTC_TIME]
char | last_m [SPF_MAX_MECHANISM]
char | error [SPF_MAX_ERROR]
spf_result_t * | spf_result
in_addr | addr
uint8_t | spf_rlevel
char * | cname_buf
char * | include_buf
char * | redirect_buf

## Field Documentation

struct in_addr peer_info_s::addr

| Definition at line 363 of file spf.h. Referenced by SPF_init(), SPF_parse_policy(), SPF_policy_main_rec(), UTIL_a_cmp(), UTIL_mx_cmp(), and UTIL_validate_hostname().

SPF_BOOL peer_info_s::ALL

| Definition at line 330 of file spf.h. Referenced by SPF_init(), SPF_parse_policy(), and UTIL_get_mech_prefix().

char* peer_info_s::cname_buf

| Definition at line 373 of file spf.h. Referenced by _SPF_clear_holdbufs(), SPF_policy_main(), and SPF_policy_main_rec().

char* peer_info_s::cur_eaddr

| Definition at line 353 of file spf.h. Referenced by MACRO_process(), SPF_close(), and SPF_init().

char* peer_info_s::current_domain

| Definition at line 349 of file spf.h. Referenced by MACRO_process(), SPF_build_header(), SPF_close(), SPF_init(), SPF_parse_policy(), SPF_policy_main(), SPF_policy_main_rec(), SPF_smtp_from(), UTIL_a_cmp(), UTIL_ptr_cmp(), and UTIL_validate_ptr().

char* peer_info_s::ehlo

| Definition at line 343 of file spf.h. Referenced by MACRO_process(), SPF_init(), and SPF_smtp_helo().

char peer_info_s::error[SPF_MAX_ERROR]

| Definition at line 359 of file spf.h. Referenced by DNS_query(), SPF_build_header(), SPF_parse_policy(), UTIL_assoc_prefix(), UTIL_log_result(), UTIL_ptr_cmp(), and UTIL_validate_ptr().

char* peer_info_s::explain

| Definition at line 345 of file spf.h. Referenced by SPF_close(), SPF_get_explain(), SPF_init(), and SPF_parse_policy().

char* peer_info_s::from

| Definition at line 344 of file spf.h. Referenced by SPF_build_header(), SPF_close(), SPF_init(), SPF_result(), SPF_smtp_from(), UTIL_log_result(), and UTIL_mx_cmp().

char* peer_info_s::guess

| Definition at line 346 of file spf.h. Referenced by SPF_close(), SPF_init(), and SPF_policy_main_rec().

char* peer_info_s::helo

| Definition at line 342 of file spf.h. Referenced by MACRO_process(), SPF_close(), SPF_init(), SPF_smtp_from(), and SPF_smtp_helo().

char* peer_info_s::include_buf

| Definition at line 374 of file spf.h. Referenced by _SPF_clear_holdbufs(), SPF_parse_policy(), SPF_policy_main(), and SPF_policy_main_rec().

char peer_info_s::ip_ver[SPF_MAX_IP_VER]

| Definition at line 355 of file spf.h. Referenced by MACRO_process(), and SPF_init().

char peer_info_s::last_m[SPF_MAX_MECHANISM]

| Definition at line 358 of file spf.h. Referenced by SPF_build_header(), SPF_parse_policy(), SPF_policy_main_rec(), UTIL_assoc_prefix(), and UTIL_get_mech_prefix().

char peer_info_s::local_part[SPF_MAX_LOCAL_PART]

| Definition at line 356 of file spf.h. Referenced by MACRO_process(), and SPF_smtp_from().

char* peer_info_s::mta_hname

| Definition at line 350 of file spf.h. Referenced by MACRO_process(), SPF_build_header(), SPF_close(), and SPF_init().

char* peer_info_s::p

| Definition at line 340 of file spf.h. Referenced by SPF_init().

char* peer_info_s::ptr_mhost

| Definition at line 348 of file spf.h. Referenced by SPF_close(), and SPF_init().

char* peer_info_s::r_ip

| Definition at line 351 of file spf.h. Referenced by DNS_check_client_reverse(), MACRO_process(), SPF_build_header(), SPF_close(), SPF_init(), SPF_parse_policy(), SPF_result(), UTIL_log_result(), UTIL_ptr_cmp(), UTIL_validate_hostname(), and UTIL_validate_ptr().

char* peer_info_s::r_vhname

| Definition at line 352 of file spf.h. Referenced by DNS_check_client_reverse(), MACRO_process(), SPF_close(), SPF_init(), and UTIL_validate_ptr().

char* peer_info_s::redirect_buf

| Definition at line 375 of file spf.h. Referenced by _SPF_clear_holdbufs(), SPF_parse_policy(), SPF_policy_main(), and SPF_policy_main_rec().

SPF_RESULT peer_info_s::RES

| Definition at line 332 of file spf.h. Referenced by SPF_build_header(), SPF_parse_policy(), SPF_policy_main_rec(), SPF_result(), UTIL_assoc_prefix(), and UTIL_log_result().

SPF_RESULT peer_info_s::RES_P

| Definition at line 333 of file spf.h. Referenced by SPF_parse_policy(), and UTIL_get_mech_prefix().

char* peer_info_s::rs

| Definition at line 341 of file spf.h. Referenced by SPF_policy_main_rec(), UTIL_assoc_prefix(), UTIL_ptr_cmp(), and UTIL_validate_ptr().

spf_result_t* peer_info_s::spf_result

| Definition at line 361 of file spf.h. Referenced by SPF_build_header(), SPF_init(), SPF_parse_policy(), UTIL_assoc_prefix(), and UTIL_log_result().

uint8_t peer_info_s::spf_rlevel

| Definition at line 371 of file spf.h. Referenced by SPF_init(), SPF_parse_policy(), SPF_policy_main(), and UTIL_log_result().

u_int8_t peer_info_s::spf_ver

| Definition at line 338 of file spf.h. Referenced by SPF_init(), SPF_parse_policy(), and UTIL_log_result().

char* peer_info_s::trusted

| Definition at line 347 of file spf.h. Referenced by SPF_close(), SPF_init(), and SPF_policy_main_rec().

SPF_BOOL peer_info_s::use_guess

| Definition at line 336 of file spf.h. Referenced by SPF_init(), and SPF_policy_main_rec().

SPF_BOOL peer_info_s::use_trust

| Definition at line 335 of file spf.h. Referenced by SPF_init(), and SPF_policy_main_rec().

char peer_info_s::utc_time[SPF_MAX_UTC_TIME]

| Definition at line 357 of file spf.h. Referenced by MACRO_process(), and SPF_init().

The documentation for this struct was generated from the following file:

- spf.h